Bug 64367 - ssl support broken in curl functions
Summary: ssl support broken in curl functions
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: php   
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-03 00:47 UTC by Matt Selsky
Modified: 2007-04-18 16:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-03 01:25:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matt Selsky 2002-05-03 00:47:35 UTC
Description of problem:
curl doesn't not seem to be able to retrieve https urls.  The command line
version of curl *does* work.

How reproducible:
Always

Steps to Reproduce:
1. Create a php web page that uses curl to fetch a https url.
2. Visit the php web page.
	

Actual Results:  SSL: couldn't create a context!
27
result=''

Expected Results:  I expect to see the contents of the url that I specified.

Additional info:

This is the code I used on the php page.

$ch = curl_init();
curl_setopt($ch, CURLOPT_VERBOSE, 1);
curl_setopt($ch, CURLOPT_URL,"https://www.gotomypc.com/");
$result=curl_exec ($ch); 
echo curl_error($ch) . "<br>\n";
echo curl_errno($ch) . "<br>\n";
curl_close ($ch);
echo "result='$result'";

Comment 1 Phil Copeland 2002-06-04 19:32:40 UTC
Humm I just tried that with the current errata and it worked

There will be an updated errata coming out real soon though,..

Phil
=--=


Note You need to log in before you can comment on or make changes to this bug.